# Jast

Json-Api Schema Tools support you to specify [JSON-API](http://jsonapi.org/ "jsonapi webside") compliant APIs with [JSON-Schema](http://json-schema.org/ "json-schema webside").

It is initially written with the aim to support your rspec test-setup in an rails application but didn't have those as dependencies so it can be used in any other context, too.

## Usage

jast expects that the files will be stored in the spec/support/api/v1/schemas/ directory.

To render schemas do:

    jast schemas name attr1:type attr2:type

You can set required attributes by adding :required to the call, e.g.:

    jast schemas name attr1:type attr2:type attr3:type:required

Please consult the JSON-Schema documentation for a [list of attribute types](http://json-schema.org/latest/json-schema-core.html#anchor8 "jsonapi docs"), is it also possible to have an attributes of type object containing a JSON-object.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'jast'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install jast

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/POSpulse/jast. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

